%global commit 925399d90ca46163bf49ce97e153adb4f7a6c8b5

Name:           neovim-nvchad
Version:        33.925399d
Release:        1%{?dist}
Summary:        Neovim config written in Lua with beautiful UI and fast startup.

License:        GPL-3.0-or-later
URL:            https://github.com/NvChad/NvChad
Source0:        https://github.com/NvChad/starter/archive/%{commit}.tar.gz
Source1:        00-nvchad-defaults.lua
Source2:        init.lua

BuildArch:      noarch
Requires:       neovim
Requires:       xclip
Requires:       ripgrep
Requires:       jetbrains-mono-fonts-all

%description
Neovim config written in Lua aiming to provide a base configuration with beautiful UI and blazing fast startup time.

%prep
%autosetup -n starter-%{commit}

%build
# Nothing to build

%install
install -dm 755 %{buildroot}/usr/share/nvim/runtime/plugin/nvchad-starter/lua

cp -a lua %{buildroot}/usr/share/nvim/runtime/plugin/nvchad-starter/

cat %{SOURCE2} "init.lua" > "new_init.lua"
install -Dm755 "new_init.lua" "%{buildroot}/usr/share/nvim/runtime/plugin/nvchad-starter/init.lua"
install -Dm755 %{SOURCE1} "%{buildroot}/usr/share/nvim/runtime/plugin/00-nvchad-defaults.lua"

%files
%license LICENSE
%doc README.md
/usr/share/nvim/runtime/plugin/nvchad-starter
/usr/share/nvim/runtime/plugin/00-nvchad-defaults.lua

%changelog
* Sun Jun 08 2025 04:43 Little Owl <littleowl@athenaos.org>
- Synced with upstream
